# TODO
# - force use of qt4, otherwise it may pick qt3! add bcond?
# - check these:
#   blas-devel may be superfluous !
#   gmp-c++-devel may be superfluous !
#   lapack-devel may be superfluous !
# - cleanup?
#   warning: Installed (but unpackaged) file(s) found:
#   /usr/bin/cgal_make_macosx_app
# - move qt stuff to subpackages?

%define boost_version 1.32
Summary:	Computational Geometry Algorithms Library
Name:		CGAL
Version:	4.6
Release:	2
License:	GPLv3+ and LGPLv3+
Group:		Libraries
Source0:	https://gforge.inria.fr/frs/download.php/file/34705/%{name}-%{version}.tar.xz
# Source0-md5:	65fa7e17cd654ef68da47df608000007
URL:		http://www.cgal.org/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtOpenGL-devel
BuildRequires:	QtSvg-devel
BuildRequires:	blas-devel
BuildRequires:	boost-devel >= %{boost_version}
BuildRequires:	cmake
BuildRequires:	gmp-c++-devel
BuildRequires:	gmp-devel
BuildRequires:	lapack-devel
BuildRequires:	mpfr-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libraries for CGAL applications. CGAL is a collaborative effort of
several sites in Europe and Israel. The goal is to make the most
important of the solutions and methods developed in computational
geometry available to users in industry and academia in a C++ library.
The goal is to provide easy access to useful, reliable geometric
algorithms.

%package devel
Summary:	Development files and tools for CGAL applications
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	blas-devel
Requires:	boost-devel >= %{boost_version}
Requires:	gmp-c++-devel
Requires:	gmp-devel
Requires:	lapack-devel
Requires:	mpfr-devel
Requires:	qt-devel
Requires:	zlib-devel

%description devel
The %{name}-devel package provides the headers files and tools you may
need to develop applications using CGAL.

%package demos-source
Summary:	Examples and demos of CGAL algorithms
Group:		Documentation
Requires:	%{name}-devel = %{version}-%{release}

%description demos-source
The %{name}-demos-source package provides the sources of examples and
demos of CGAL algorithms.

%prep
%setup -q

%build
install -d build
cd build
# override build type, because:
# PLD is not a valid build type: only Release or Debug is allowed

# XXX: what is ${CHANGE_SOVERSION} here?
%cmake \
	-DCMAKE_BUILD_TYPE=%{!?debug:Release}%{?debug:Debug} \
	-DCGAL_INSTALL_LIB_DIR=%{_lib} \
	-DCGAL_INSTALL_DOC_DIR= ${CHANGE_SOVERSION} \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE LICENSE.FREE_USE LICENSE.LGPL CHANGES
%attr(755,root,root) %{_libdir}/libCGAL.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libCGAL.so.11
%attr(755,root,root) %{_libdir}/libCGAL_Core.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libCGAL_Core.so.11
%attr(755,root,root) %{_libdir}/libCGAL_ImageIO.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libCGAL_ImageIO.so.11
%attr(755,root,root) %{_libdir}/libCGAL_Qt4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libCGAL_Qt4.so.11

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cgal_create_CMakeLists
%attr(755,root,root) %{_bindir}/cgal_create_cmake_script
%{_includedir}/CGAL
%{_libdir}/CGAL
%attr(755,root,root) %{_libdir}/libCGAL*.so
%{_mandir}/man1/cgal_create_cmake_script.1*
%changelog
* Sun Jun 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/CGAL.git;a=log;h=master

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> 98a6180
- boost rebuild
- release 2 (by relup.sh)

* Thu Apr 30 2015 Elan Ruusamäe <glen@delfi.ee> 6539928
- qt split?

* Thu Apr 30 2015 Elan Ruusamäe <glen@delfi.ee> ab30c91
- update BR, why qt3?

* Thu Apr 30 2015 Elan Ruusamäe <glen@delfi.ee> f7efb94
- leave comment why CMAKE_BUILD_TYPE override is neccessary

* Thu Apr 30 2015 Elan Ruusamäe <glen@delfi.ee> fcd3e9d
- cleanup cmake macro, drop bogus dep

* Thu Apr 30 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> b2d9afe
- up to 4.6

* Thu Apr 30 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 8db60ca
- rel 1

* Tue Jan 13 2009 Elan Ruusamäe <glen@pld-linux.org> 23c6379
- unify adapter cosmetics

* Tue Jan 13 2009 djurban <djurban@pld-linux.org> d4e9703
- from fc9, CGAL is one hell of a painful lib to package
- Wrote: /home/users/niedakh/rpm/RPMS/CGAL-3.3.1-0.99.x86_64.rpm
- looks ok, only thing missing is polish descs (still no pl keybd), will bump to rel. 1 later if it works

* Tue Jan 13 2009 djurban <djurban@pld-linux.org> 7c1d95b
- proper naming, from fc9

* Tue Jan 13 2009 djurban <djurban@pld-linux.org> 239acba
- from fc9

